<?php 
  $lvl2ParentPanel3 = new LUZUK_WP_Customize_Panel( $wp_customize, 'luzuk_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'luzuk_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'luzuk_section', array(
    'title' => 'Section Test single',
    'panel' => 'luzuk_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'luzuk_single_post' , array(
        'title'    => __( 'Single Post', 'luzuk-premium' ),
        'priority' => null,
        'panel' => 'luzuk_header_panel3'
    ) );

    $wp_customize->add_setting('dinero_reset_single_post_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_single_post_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Single Post Settings', 'dinero'),
  'description' => 'dinero_single_post_reset_settings',
  'section' => 'luzuk_single_post'
)));

    $wp_customize->add_setting('luzuk_singleeblog_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new luzuk_Tab_Control($wp_customize, 'luzuk_singleeblog_nav', array(
       'section' => 'luzuk_single_post',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'featured_img_on_off',
                'dinero_single_post_image_height',
                'dinero_single_show_author',
                'dinero_single_show_date',
                'dinero_single_show_time',
                'dinero_single_show_category',
                'dinero_single_show_comments',
                'dinero_single_show_tags',
                'single_blog_socials_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Layout', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'luzuk__blogspost_layout'
            ),
         ),
          array(
            'name' => esc_html__('Style', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                
            ),
         )
        ),
    )));


$wp_customize->add_setting(
    'featured_img_on_off',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'featured_img_on_off',
        array(
            'settings'      => 'featured_img_on_off',
            'section'       => 'luzuk_single_post',
            'label'         => __( 'Disable Featured Image', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

     $wp_customize->add_setting('dinero_single_post_image_height',array(
        'default' => 300,
        'sanitize_callback' => 'dinero_sanitize_integer'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_single_post_image_height',array(
    'label' => __('Image Height','dinero'),
    'section' => 'luzuk_single_post',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

$wp_customize->add_setting('dinero_single_show_author',array(
  'default' => true,
  'sanitize_callback'   => 'dinero_sanitize_checkbox'
));
$wp_customize->add_control('dinero_single_show_author',array(
  'type' => 'checkbox',
  'label' => __('Show / Hide Author','dinero'),
  'section' => 'luzuk_single_post'
));


$wp_customize->add_setting('dinero_single_show_date',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_single_show_date',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Date','dinero'),
      'section' => 'luzuk_single_post'
   ));

$wp_customize->add_setting('dinero_single_show_time',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_single_show_time',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Time','dinero'),
      'section' => 'luzuk_single_post'
   ));

$wp_customize->add_setting('dinero_single_show_category',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_single_show_category',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Category','dinero'),
      'section' => 'luzuk_single_post'
   ));

    $wp_customize->add_setting('dinero_single_show_comments',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_single_show_comments',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Comments','dinero'),
      'section' => 'luzuk_single_post'
   ));

      $wp_customize->add_setting('dinero_single_show_tags',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_single_show_tags',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Tags','dinero'),
      'section' => 'luzuk_single_post'
   ));

$wp_customize->add_setting(
    'single_blog_socials_on_off',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'single_blog_socials_on_off',
        array(
            'settings'      => 'single_blog_socials_on_off',
            'section'       => 'luzuk_single_post',
            'label'         => __( 'Socials', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

//Blog Single Post Layout
$lzBlogSPostLayout = getBlogSPostLayout(true);

$wp_customize->add_setting(
   'luzuk__blogspost_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new luzuk_Font_Chooser(
      $wp_customize,
      'luzuk__blogspost_layout',
      array(
         'settings'=> 'luzuk__blogspost_layout',
         'section' => 'luzuk_single_post',
         'label'=>__('Left / Right and No Sidebar', 'Luzuk Premium'),
         'choices'=>$lzBlogSPostLayout
      )
   )
);
